phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Artem Ervits (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (PHOENIX-5150) Fix for warning build.plugins.plugin must be unique
Date Wed, 20 Feb 2019 18:32:01 GMT

     [ https://issues.apache.org/jira/browse/PHOENIX-5150?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Artem Ervits updated PHOENIX-5150:
----------------------------------
    Attachment: PHOENIX-5150-4.x-HBase-1.4.patch

> Fix for warning build.plugins.plugin must be unique
> ---------------------------------------------------
>
>                 Key: PHOENIX-5150
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-5150
>             Project: Phoenix
>          Issue Type: Task
>    Affects Versions: 4.14.1
>            Reporter: Artem Ervits
>            Assignee: Artem Ervits
>            Priority: Trivial
>         Attachments: PHOENIX-5150-4.x-HBase-1.4.patch
>
>
> {code:java}
> [WARNING] Some problems were encountered while building the effective model for org.apache.phoenix:phoenix-spark:jar:4.15.0-HBase-1.4-SNAPSHOT
> [WARNING] 'build.plugins.plugin.(groupId:artifactId)' must be unique but found duplicate
declaration of plugin org.apache.maven.plugins:maven-compiler-plugin @ org.apache.phoenix:phoenix-spark:[unknown-version],
/Users/aervits/NetBeansProjects/phoenix/phoenix-spark/pom.xml, line 506, column 15
> [WARNING]
> [WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
> [WARNING]
> [WARNING] For this reason, future Maven versions might no longer support building such
malformed projects.{code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message